Get all lead interests Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/lead-interests

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Filter by name.

  • filter[archived] string

    Whether to include archived lead interests. Valid options are [exclude, include, only]. Defaults to 'exclude'.

  • sort string

    Field to sort by. Valid fields are [position, name, created_at]. Negative sign to denote DESC. Defaults to 'position'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • name string
      • description string
      • position integer
      • archived boolean
      • created_at string
      • updated_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/lead-interests
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/lead-interests' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "e7c08701-2326-4e27-9d47-16d5cb0b8b49",
        "name": "Wealth",
        "description": "Investment and wealth management enquiries",
        "position": 1,
        "archived": false,
        "created_at": "2026-10-12T11:34:44+01:00",
        "updated_at": "2026-10-12T11:34:44+01:00"
      }
    ]
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}